using System;
using System.ServiceModel;
using System.Windows.Forms;

using HelloWorldWebClient.CWS;

namespace HelloWorldWebClient
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void button1_Click(object sender, EventArgs e)
		{
			try
			{
				// Authenticate
				AuthenticationClient authService = new AuthenticationClient();
				OTAuthentication otAuth = new OTAuthentication();
				otAuth.AuthenticationToken = authService.AuthenticateUser("Admin", "livelink");

				// Ping the hello world service
				HelloWorldClient hwService = new HelloWorldClient();
				HelloMessage msg = hwService.GetMessage(ref otAuth);
				HelloGreeting greeting = msg.Greeting;

				string displayMessage =
					"Message: " + msg.Message + "\n" +
					"Greeting: " + greeting.GreetingMessage + " sent on " + greeting.GreetingDate + "\n" +
					msg.NumberOfMessages + " additional messages: " + "\n";

				for (int i = 0; i < msg.MessageList.Length; i++)
				{
					displayMessage += "[" + i + "] " + msg.MessageList[i] + "\n";
				}

				MessageBox.Show(displayMessage, "Response from the HelloWorld Service");
			}
			catch (FaultException ex)
			{
				MessageBox.Show(ex.Message, "Error Message");
			}
		}
	}
}