// (c) Copyright Open Text Corporation

package com.opentext.livelink.service.hello;

import java.io.*;
import java.util.Date;

import javax.annotation.*;
import javax.jws.*;
import javax.xml.ws.WebServiceContext;

import com.opentext.livelink.service.core.*;

/**
 * HelloWorld defines the service that represents a prototypical Hello World! service.
 *
 * @version 2013-08-27
 */
@WebService( targetNamespace = "urn:Hello.service.livelink.opentext.com", serviceName = "HelloWorld", name = "HelloWorld", portName = "BasicHttpBinding_HelloWorld" )
public class HelloWorld_JAXWS
{
	private IHelloWorld fService;

	@Resource
	private WebServiceContext fWebServiceContext;
	@PostConstruct
	protected void init()
	{
		fService = ServiceFactory.getService( IHelloWorld.class, HelloWorld.class, new com.opentext.livelink.service.core.jaxws.JAXWSWebContext( fWebServiceContext ) );
	}


	/**
	 * Get the Hello World message
	 *
	 * @return Returns the hello world message
	 */
	@WebMethod( operationName = "GetMessage" )
	@WebResult( name = "GetMessageResult", targetNamespace = "urn:Hello.service.livelink.opentext.com" )
	public HelloMessage getMessage()
	{
		HelloMessage retval = null;

		try
		{
			retval = fService.getMessage();
		}
		catch ( RuntimeException ex )
		{
			ExceptionUtil.throwSOAPFaultException( ex );
		}

		return retval;
	}
}
